package eu.mhsl.craftattack.spawn.appliance;

import eu.mhsl.craftattack.spawn.Main;

public class CachedApplianceSupplier<T extends Appliance> implements IApplianceSupplier<T> {
    private final T appliance;

    public CachedApplianceSupplier() {
        this.appliance = Main.instance().getAppliance(Main.getApplianceType(getClass()));
    }

    @Override
    public T getAppliance() {
        return this.appliance;
    }
}
