package eu.mhsl.craftattack.spawn.appliances.adminMarker;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import net.kyori.adventure.text.format.TextColor;
import org.bukkit.Color;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class AdminMarker extends Appliance {
    public TextColor getPlayerColor(Player player) {
        if(player.hasPermission("chatcolor"))
            return TextColor.color(Color.AQUA.asRGB()); // TODO read permission from config
        return TextColor.color(Color.WHITE.asRGB());
    }

    @Override
    @NotNull
    protected List<Listener> listeners() {
        return List.of(new AdminMarkerListener());
    }
}
