package eu.mhsl.craftattack.spawn.appliances.customAdvancements;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.EntityDamageByEntityEvent;

public class CustomAdvancementsDamageEntityListener extends ApplianceListener<CustomAdvancements> {
    @EventHandler
    public void onEntityDamageEntity(EntityDamageByEntityEvent event) {
        if(!(event.getEntity() instanceof Player damaged)) return;
        if(!(event.getDamager() instanceof Player damager)) return;
        if(!damager.getInventory().getItemInMainHand().getType().equals(Material.AIR)) return;
        if(!damaged.hasPermission("admin")) return;

        getAppliance().grantAdvancement("search_trouble", damager);
    }
}
