package eu.mhsl.craftattack.spawn.appliances.glowingBerries;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import net.kyori.adventure.sound.Sound;
import net.kyori.adventure.util.Ticks;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class GlowingBerries extends Appliance {
    private static final PotionEffect glowEffect = new PotionEffect(
        PotionEffectType.GLOWING,
        Ticks.TICKS_PER_SECOND * 15,
        1,
        false,
        true,
        true
    );

    public void letPlayerGlow(Player player) {
        player.addPotionEffect(glowEffect);
        Sound sound = Sound.sound(org.bukkit.Sound.BLOCK_AMETHYST_BLOCK_CHIME.key(), Sound.Source.PLAYER, 1f, 1f);
        player.stopSound(sound);
        player.playSound(sound, Sound.Emitter.self());
    }

    @Override
    protected @NotNull List<Listener> listeners() {
        return List.of(new OnBerryEaten());
    }
}
