package eu.mhsl.craftattack.spawn.appliances.maintenance;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.util.text.DisconnectInfo;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerLoginEvent;

public class PreventMaintenanceJoinListener extends ApplianceListener<Maintenance> {
    @EventHandler
    public void onJoin(PlayerLoginEvent event) {
        if(!getAppliance().isInMaintenance()) return;
        if(event.getPlayer().hasPermission("bypassMaintainance")) return;

        DisconnectInfo disconnectInfo = new DisconnectInfo(
            "Wartunsarbeiten",
            "Zurzeit können nur Admins dem Server beitreten!",
            "Bitte warte bis die Warungsarbeiten wieder deaktiviert werden.",
            event.getPlayer().getUniqueId()
        );

        event.disallow(PlayerLoginEvent.Result.KICK_OTHER, disconnectInfo.getComponent());
    }
}
