package eu.mhsl.craftattack.spawn.appliances.privateMessage.commands;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.appliances.privateMessage.PrivateMessage;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class PrivateMessageCommand extends ApplianceCommand.PlayerChecked<PrivateMessage> {
    public PrivateMessageCommand() {
        super("msg");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        getAppliance().sendWhisper(getPlayer(), getAppliance().resolveImplicit(args));
    }
}
