package eu.mhsl.craftattack.spawn.appliances.chatMessages;

import eu.mhsl.craftattack.spawn.appliances.settings.CategorizedSetting;
import eu.mhsl.craftattack.spawn.appliances.settings.SettingCategory;
import eu.mhsl.craftattack.spawn.appliances.settings.Settings;
import eu.mhsl.craftattack.spawn.appliances.settings.datatypes.BoolSetting;
import org.bukkit.Material;

public class ShowJoinAndLeaveMessagesSetting extends BoolSetting implements CategorizedSetting {
    public ShowJoinAndLeaveMessagesSetting() {
        super(Settings.Key.ShowJoinAndLeaveMessages);
    }

    @Override
    protected String title() {
        return "Join & Leave Nachrichten anzeigen";
    }

    @Override
    protected String description() {
        return "Zeige allgemeine Beitritts und Verlassensmeldungen im Chat";
    }

    @Override
    protected Material icon() {
        return Material.PLAYER_HEAD;
    }

    @Override
    protected Boolean defaultValue() {
        return true;
    }

    @Override
    public SettingCategory category() {
        return SettingCategory.Visuals;
    }
}
