package eu.mhsl.craftattack.spawn.appliances.doubeDoor;

import eu.mhsl.craftattack.spawn.appliances.settings.CategorizedSetting;
import eu.mhsl.craftattack.spawn.appliances.settings.SettingCategory;
import eu.mhsl.craftattack.spawn.appliances.settings.Settings;
import eu.mhsl.craftattack.spawn.appliances.settings.datatypes.BoolSetting;
import org.bukkit.Material;

public class DoubleDoorSetting extends BoolSetting implements CategorizedSetting {
    public DoubleDoorSetting() {
        super(Settings.Key.DoubleDoors);
    }

    @Override
    protected String title() {
        return "Automatische Doppeltüren";
    }

    @Override
    protected String description() {
        return "Öffnet und schließt die zweite Hälfte einer Doppeltür automatisch";
    }

    @Override
    protected Material icon() {
        return Material.OAK_DOOR;
    }

    @Override
    protected Boolean defaultValue() {
        return false;
    }

    @Override
    public SettingCategory category() {
        return SettingCategory.Gameplay;
    }
}
