package eu.mhsl.craftattack.spawn.appliances.packSelect.listeners;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.appliances.packSelect.PackSelect;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.inventory.InventoryClickEvent;

public class ClickPackInventoryListener extends ApplianceListener<PackSelect> {
    @EventHandler
    public void interact(InventoryClickEvent event) {
        if(!(event.getWhoClicked() instanceof Player player)) return;
        if(getAppliance().isNotPackInventory(player, event.getInventory())) return;
        event.setCancelled(true);

        getAppliance().openInventories.get(player).handleClick(
            event.getCurrentItem(),
            event.getSlot(),
            event.getClick()
        );
    }
}
