package eu.mhsl.craftattack.spawn.appliances.tablist;

import eu.mhsl.craftattack.spawn.appliances.settings.CategorizedSetting;
import eu.mhsl.craftattack.spawn.appliances.settings.SettingCategory;
import eu.mhsl.craftattack.spawn.appliances.settings.Settings;
import eu.mhsl.craftattack.spawn.appliances.settings.datatypes.BoolSetting;
import org.bukkit.Material;

public class TechnicalTablistSetting extends BoolSetting implements CategorizedSetting {
    public TechnicalTablistSetting() {
        super(Settings.Key.TechnicalTab);
    }

    @Override
    protected String title() {
        return "Technische Informationen";
    }

    @Override
    protected String description() {
        return "Zeige erweiterte Informationen und Statistiken in der Tabliste an";
    }

    @Override
    protected Material icon() {
        return Material.COMMAND_BLOCK_MINECART;
    }

    @Override
    protected Boolean defaultValue() {
        return false;
    }

    @Override
    public SettingCategory category() {
        return SettingCategory.Misc;
    }
}
